<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 2</title>
	<script type="text/javascript">
		//Vamos a crear una clase padre
		let Persona=function(){
			//propiedad privada
			let nombre;
			//metodos publicos
			this.dormir=function(){
				console.log('ZZZZZZZZZZ');
			};

			this.hablar=function(){
				console.log('BLA BLA BLA');
			};

			this.contar=function(){
				console.log('1 2 3 4 5 6');
			};

			this.adquirirNombre=function(){
				nombre=prompt('Introduce tu nombre');
			};

			this.decirNombre=function(){
				console.log('mi nombre es ' + nombre);
			};
		};

		//Vamos a crear una clase hija
		let Hija=function(){
			this.atributoHijo=18;
		};

		Hija.prototype=new Persona();

		//Vamos a crear un objeto desde la clase hija
		let Ana=new Hija();

		//Vamos a crear un objeto desde la clase padre
		let Ramon=new Persona();

		console.log(Ana.atributoHijo);
		console.log(Ana);
		console.log(Ramon);

	</script>
</head>
<body>
	
</body>
</html>